Bug 246876 - New port: sysutils/acltool: CLI tool that focuses on display & updating filesystem ACLs
Summary: New port: sysutils/acltool: CLI tool that focuses on display & updating files...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-30 19:44 UTC by Peter Eriksson
Modified: 2020-06-12 20:11 UTC (History)
1 user (show)

See Also:


Attachments
New port sysutils/acltool 1.15 (1.85 KB, patch)
2020-05-30 19:44 UTC, Peter Eriksson
no flags Details | Diff
diff to base port on new version (1.16.1) (1.86 KB, patch)
2020-06-07 15:12 UTC, Peter Eriksson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Eriksson 2020-05-30 19:44:47 UTC
Created attachment 215071 [details]
New port sysutils/acltool 1.15

Please find enclosed a patch that adds a new port for sysutils/acltool

This is a CLI tool that focuses on display & updating filesystem ACLs (NFSv4/ZFS/SMB primarily currently) that compiles on FreeBSD, Linux, Solaris and MacOS so one can get the same CLI on all systems.

- Peter
Comment 1 Peter Eriksson 2020-06-07 15:12:00 UTC
Created attachment 215321 [details]
diff to base port on new version (1.16.1)
Comment 2 Kurt Jaeger freebsd_committer 2020-06-12 20:11:31 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2020-06-12 20:11:48 UTC
A commit references this bug:

Author: pi
Date: Fri Jun 12 20:11:29 UTC 2020
New revision: 538631
URL: https://svnweb.freebsd.org/changeset/ports/538631

Log:
  New port: sysutils/acltool: cli tool to display & updating filesystem ACLs

  This is a port of acltool, an ACL manipulation CLI tool.

  This is a tool to manage NFSv4/ZFS/SMB (also known as Extended on MacOS)
  style ACLs of filesystems. That is listing, creating, editing, searching,
  stripping, sorting, removing redundant entries and more.

  WWW: https://github.com/ptrrkssn/acltool

  PR:		246876
  Submitted by:	Peter Eriksson <pen@lysator.liu.se>

Changes:
  head/sysutils/Makefile
  head/sysutils/acltool/
  head/sysutils/acltool/Makefile
  head/sysutils/acltool/distinfo
  head/sysutils/acltool/pkg-descr